<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @package Purosa
 */

get_header(); ?>

<section class="section-wrap main-content pt-0">

	<!-- Page Title -->
	<div class="page-title-holder full-overlay text-center" <?php if ( get_theme_mod( 'purosa_404_image', get_template_directory_uri() . '/assets/img/404_page_title.jpg' ) ) : ?>style="background-image: url(<?php echo esc_url( get_theme_mod( 'purosa_404_image', get_template_directory_uri() . '/assets/img/defaults/404_page_title.jpg' ) ) ?>);" <?php endif; ?> >
		<div class="container">
			<div class="page-title-holder__inner">
				<h1 class="page-title-holder__title"><?php esc_html_e( 'Looks like you\'ve lost', 'purosa' ); ?></h1>
			</div>			
		</div>		
	</div>

	<div class="container text-center">
		<div class="row justify-content-center">
			<div class="col-md-6">

				<!-- Page Title -->
				<h4 class="entry-title mb-16"><?php esc_html_e( 'Sorry, nothing found', 'purosa' ) ?></h4>
				<p class="mb-24"><?php esc_html_e( 'We\'re sorry, but the page you were looking for doesn\'t exist. Perhaps searching can help.', 'purosa' ) ?></p>

				<!-- Search form -->
				<?php get_search_form(); ?>

				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="btn btn--md btn--color"><?php esc_html_e( 'Back to Home', 'purosa' ) ?></a>
			</div>
		</div>
				
	</div>
</section>
<?php get_footer(); ?>