<?php
/**
 * The template for displaying the footer.
 *
 * @package Purosa
 */
?>

	<!-- Footer -->
	<footer class="footer" itemscope itemtype="http://schema.org/WPFooter">
		<div class="container">
			<?php if ( get_theme_mod( 'purosa_footer_widgets_show', true ) ) : ?>

				<?php if ( is_active_sidebar( 'purosa-footer-col-1' ) || is_active_sidebar( 'purosa-footer-col-2' ) || is_active_sidebar( 'purosa-footer-col-3' ) || is_active_sidebar( 'purosa-footer-col-4' ) ) : ?>
					<div class="footer__widgets">
						<div class="row">

							<!-- 4 Columns -->           
							<?php if ( get_theme_mod( 'purosa_footer_columns', 'four-col' ) == 'four-col' ) : ?>                

								<?php if ( is_active_sidebar( 'purosa-footer-col-1' ) ) : ?>
									<div class="col-lg-3 col-md-6">
										<?php dynamic_sidebar( 'purosa-footer-col-1' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'purosa-footer-col-2' ) ) : ?>
									<div class="col-lg-3 col-md-6">
										<?php dynamic_sidebar( 'purosa-footer-col-2' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'purosa-footer-col-3' ) ) : ?>
									<div class="col-lg-3 col-md-6">
										<?php dynamic_sidebar( 'purosa-footer-col-3' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'purosa-footer-col-4' ) ) : ?>
									<div class="col-lg-3 col-md-6">
										<?php dynamic_sidebar( 'purosa-footer-col-4' ); ?>
									</div>
								<?php endif; ?>

							<?php endif; ?>
							
							<!-- 3 Columns -->
							<?php if ( get_theme_mod( 'purosa_footer_columns', 'four-col' ) == 'three-col' ) : ?>                

								<?php if ( is_active_sidebar( 'purosa-footer-col-1' ) ) : ?>
									<div class="col-lg-4 col-md-6">
										<?php dynamic_sidebar( 'purosa-footer-col-1' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'purosa-footer-col-2' ) ) : ?>
									<div class="col-lg-5 col-md-6">
										<?php dynamic_sidebar( 'purosa-footer-col-2' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'purosa-footer-col-3' ) ) : ?>
									<div class="col-lg-3 col-md-6">
										<?php dynamic_sidebar( 'purosa-footer-col-3' ); ?>
									</div>
								<?php endif; ?>

							<?php endif; ?>

							<!-- 2 Columns -->
							<?php if ( get_theme_mod( 'purosa_footer_columns', 'four-col' ) == 'two-col' ) : ?>                

								<?php if ( is_active_sidebar( 'purosa-footer-col-1' ) ) : ?>
									<div class="col-md-6">
										<?php dynamic_sidebar( 'purosa-footer-col-1' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'purosa-footer-col-2' ) ) : ?>
									<div class="col-md-6">
										<?php dynamic_sidebar( 'purosa-footer-col-2' ); ?>
									</div>
								<?php endif; ?>

							<?php endif; ?>

							<!-- 1 Column -->
							<?php if ( get_theme_mod( 'purosa_footer_columns', 'four-col' ) == 'one-col' ) : ?>                

								<?php if ( is_active_sidebar( 'purosa-footer-col-1' ) ) : ?>
									<div class="col-md-12">
										<?php dynamic_sidebar( 'purosa-footer-col-1' ); ?>
									</div>
								<?php endif; ?>

							<?php endif; ?>
						</div>
					</div> <!-- end footer widgets -->
				<?php endif; ?>

			<?php endif; ?> <!-- if footer show -->
		</div> <!-- end container -->
	</footer>

	<!-- Back to top -->
	<?php if ( get_theme_mod( 'purosa_back_to_top_show', true ) ) : ?>
		<div id="back-to-top">
			<a href="#top"><i class="ui-arrow-up"></i></a>
		</div>
	<?php endif; ?>    

</div> <!-- .main-wrapper -->

<?php wp_footer(); ?>
</body>
</html>