<?php
/**
 * Template parts.
 * @author  	 DeoThemes
 * @copyright  (c) Copyright by DeoThemes
 * @link       https://deothemes.com
 * @package 	 Purosa
 * @since 		 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}


if ( ! function_exists( 'purosa_search_modal' ) ) {
	/**
	* Search modal
	*/
	function purosa_search_modal() {

		if ( get_theme_mod( 'purosa_nav_search_show', true ) ) : ?>

			<!-- Search Modal -->
			<div class="modal fade search-modal" id="search-modal" tabindex="-1" role="dialog" aria-label="<?php esc_attr_e( 'search modal', 'purosa' ) ?>" aria-hidden="true">
				<div class="modal-dialog search-modal__dialog" role="document">
					<div class="modal-content search-modal__content">
						<div class="modal-header search-modal__header">
							<button type="button" class="close search-modal__close" data-dismiss="modal" aria-label="<?php esc_attr_e( 'close', 'purosa' ) ?>">
								<span aria-hidden="true">
									<i class="ui-close search-modal__close-icon"></i>
								</span>
							</button>
						</div>
						<div class="modal-body search-modal__body">
							<span class="search-modal__label"><?php esc_html_e( 'Search', 'purosa' ); ?></span>
							<?php get_search_form(); ?>						
						</div>
					</div>
				</div>
			</div> <!-- end search modal -->

		<?php endif;

	}
}