<?php
/**
 * The main template file.
 *
 * @package Purosa
 * @since   Purosa 1.0.0
 */

get_header();
?>

<div class="section-wrap main-content">

	<?php if ( get_theme_mod( 'purosa_featured_area_show', 1 ) ) {
		// Featured Area
		get_template_part( 'template-parts/featured-area' );
	} ?>

	<?php if ( ! is_front_page() ) : ?>
		<!-- Page title -->
		<section class="page-title-holder text-center">
			<div class="container">
				<div class="page-title-holder__inner">
					<h1 class="page-title-holder__title"><?php single_post_title(); ?></h1>	
				</div>
			</div>
		</section>
	<?php endif; ?>

	<!-- Blog -->
	<div class="container">
		<div class="row">
			<!-- blog content -->
			<div id="primary" class="content blog__content mb-32 <?php if ( 'fullwidth' !== purosa_layout_type( 'home', 'right-sidebar' ) ) { echo esc_attr( 'col-lg-8' ); } else { echo esc_attr( 'col-lg-12' ); } ?>">
				<main class="site-main">

					<!-- Grid Layout -->
					<?php get_template_part( 'template-parts/grid-layout' ); ?>

					<!-- Pagination -->
					<?php purosa_post_pagination(); ?>

				</main>
			</div> <!-- .blog__content -->

			<?php
				// Sidebar
				if ( 'fullwidth' !== purosa_layout_type( 'home', 'right-sidebar' ) ) {
					purosa_sidebar();
				}
			?>

		</div>
	</div>
</div> <!-- .main-content -->

<?php if ( is_active_sidebar( 'purosa-footer-instagram' ) ) : ?>
	<?php dynamic_sidebar( 'purosa-footer-instagram' ); ?>
<?php endif; ?>

<?php get_footer(); ?>