<?php
/*
Template Name: Full Width
*/

/**
 * Page fullwidth Layout
 *
 * @package Purosa
 * @since   Purosa 1.0.0
 */

get_header(); ?>

<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
		
	<?php
		// Check if the page built with Elementor
		$elementor_page = get_post_meta( get_the_ID(), '_elementor_edit_mode', true );
		if ( (bool)$elementor_page ) : ?>

			<div class="elementor-main-content">				
				<?php the_content(); ?>
			</div>

			<?php
				// Comments
				if ( comments_open() || get_comments_number() ) : ?>
				<div class="container">
					<?php comments_template(); ?>
				</div>
			<?php endif; ?>


			<?php
				// Instagram
				if( is_active_sidebar( 'purosa-footer-instagram' ) ) : ?>
				<?php dynamic_sidebar( 'purosa-footer-instagram' ); ?>
			<?php endif; ?>

		<?php else : ?>
		
		<section class="section-wrap main-content pt-0">

			<!-- Page Title -->
			<div class="page-title-holder full-overlay text-center" <?php if ( has_post_thumbnail() ) : ?>style="background-image: url(<?php the_post_thumbnail_url(); ?>);" <?php endif; ?> >
				<div class="container">					
					<div class="page-title-holder__inner">
						<h1 class="page-title-holder__title"><?php the_title(); ?></h1>
					</div>			
				</div>		
			</div>

			<div class="container">
				<div class="row">
					<div class="col-lg-12 page-content">

						<div class="entry__article-content">
							<div class="entry__article clearfix">
								<?php the_content(); ?>
							</div>
							<?php
								// Post Multi Page Pagination
								$defaults = array(
									'before'           => '<nav class="post-pagination">' . '<span>' . esc_html( 'Pages:', 'purosa' ) . '</span>',
									'after'            => '</nav>',
									'link_before'      => '<span class="post-pagination__number">',
									'link_after'       => '</span>',
									'next_or_number'   => 'number',
									'separator'        => ' ',
									'nextpagelink'     => esc_html( 'Next page', 'purosa' ),
									'previouspagelink' => esc_html( 'Previous page', 'purosa' ),
									'pagelink'         => '%',
									'echo'             => 1
								);

								wp_link_pages( $defaults );
							?>
						</div> <!-- .entry__article-content -->

						<?php
							if ( comments_open() || get_comments_number() ) :
								comments_template();
							endif;
						?>

					</div> <!-- .col -->

				</div>
			</div>		
		</section>

		<?php
			// Instagram
			if( is_active_sidebar( 'purosa-footer-instagram' ) ) : ?>
			<?php dynamic_sidebar( 'purosa-footer-instagram' ); ?>
		<?php endif; ?>

	<?php endif; ?> <!-- elementor check -->	
<?php endwhile; endif; ?>

<?php get_footer(); ?>